LibreOffice LibreOffice 25.2 SDK API Reference

Variables
com::sun::star::text::VertOrientation Constant Group Referencepublished

These enumeration values are used to specify the vertical orientation. More...

## Variables
const short | NONE = 0
| no hard alignment More...
const short | TOP = 1
| aligned at the top More...
const short | CENTER = 2
| aligned at the center More...
const short | BOTTOM = 3
| aligned at the bottom More...
const short | CHAR_TOP = 4
| aligned at the top of a character (anchored to character) More...
const short | CHAR_CENTER = 5
| aligned at the center of a character (anchored to character ) More...
const short | CHAR_BOTTOM = 6
| aligned at the bottom of a character (anchored to character ) More...
const short | LINE_TOP = 7
| aligned at the top of the line (anchored to character ) More...
const short | LINE_CENTER = 8
| aligned at the center of the line (anchored to character ) More...
const short | LINE_BOTTOM = 9
| aligned at the bottom of the line (anchored to character ) More...

## Detailed Description

These enumeration values are used to specify the vertical orientation.

## Variable Documentation

## ◆ BOTTOM

const short BOTTOM = 3

aligned at the bottom

## ◆ CENTER

const short CENTER = 2

aligned at the center

## ◆ CHAR_BOTTOM

const short CHAR_BOTTOM = 6

aligned at the bottom of a character (anchored to character )

## ◆ CHAR_CENTER

const short CHAR_CENTER = 5

aligned at the center of a character (anchored to character )

## ◆ CHAR_TOP

const short CHAR_TOP = 4

aligned at the top of a character (anchored to character)

## ◆ LINE_BOTTOM

const short LINE_BOTTOM = 9

aligned at the bottom of the line (anchored to character )

## ◆ LINE_CENTER

const short LINE_CENTER = 8

aligned at the center of the line (anchored to character )

## ◆ LINE_TOP

const short LINE_TOP = 7

aligned at the top of the line (anchored to character )

## ◆ NONE

const short NONE = 0

no hard alignment

## ◆ TOP

const short TOP = 1

aligned at the top